#ifndef XPATHNODEDYNAMIC_H
#define XPATHNODEDYNAMIC_H

#include "xasset.h"
#include "xsentienthandle.h"

#include <QVector>

class XPathNodeDynamic : public XAsset
{
public:
    explicit XPathNodeDynamic();
    ~XPathNodeDynamic();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    XSentientHandle mOwner;
    int mFreeTime;
    QVector<int> mValidTime;
    int mPlayerLostTime;
    short mLinkCount;
    short mOverlapCount;
    short mTurretEntNumber;
    short mUserCount;
};

#endif // XPATHNODEDYNAMIC_H
